Skip to main content
GET
Get Blog Posts

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
page
integer | null
Example:

6

perPage
integer | null

Must be at least 1. Must not be greater than 100.

Example:

15

orderColumn
enum<string> | null
Available options:
id,
title,
created_at,
updated_at
Example:

"id"

orderDirection
enum<string> | null
Available options:
asc,
desc
Example:

"desc"

title
string | null

Must not be greater than 255 characters.

Example:

"qotbhpzwonwlzospqcsns"

Response

200 - application/json
current_page
integer
Example:

1

data
object[]
Example:
first_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/blog-posts?page=1"

from
integer
Example:

1

last_page
integer
Example:

1

last_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/blog-posts?page=1"

Example:
next_page_url
string | null
Example:

null

path
string
Example:

"http://api.sellauth.test/v1/shops/1/blog-posts"

per_page
integer
Example:

15

prev_page_url
string | null
Example:

null

to
integer
Example:

1

total
integer
Example:

1